FORUMS: list search recent posts

Which media composer version is supported by Mavericks?

COW Forums : Avid Media Composer

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
Michael Reilly
Which media composer version is supported by Mavericks?
on Feb 16, 2014 at 6:14:52 am

Looking to purchase a media composer but was wondering which version will work with Mavericks? Anybody know if it's 6.5.3? or around there?

Thanks for your help


Return to posts index

Shane Ross
Re: Which media composer version is supported by Mavericks?
on Feb 16, 2014 at 7:04:41 am

Nope...only 7.0.3 is compatible with Mavericks.

Shane
Little Frog Post
Read my blog, Little Frog in High Def


Return to posts index

Richard Sanchez
Re: Which media composer version is supported by Mavericks?
on Feb 16, 2014 at 4:29:31 pm

6.5.4 (with the 6.5.4.1 patch) and 7.0.3. For questions regarding OS compatibility, always refer to the Avid Compatibility Matrix.

http://avid.force.com/pkb/articles/en_US/compatibility/en267087

Richard Sanchez
Los Angeles, CA

"We are the facilitators of our own creative evolution." - Bill Hicks


Return to posts index


Michael Reilly
Re: Which media composer version is supported by Mavericks?
on Feb 17, 2014 at 1:13:03 am

Cool. Thanks for the help, you guys


Return to posts index

sandy shapiro
Re: Which media composer version is supported by Mavericks?
on Feb 17, 2014 at 1:18:25 pm

I'm experiencing the same problems. I have Avid MC 6. So now do I have to upgrade to 7?


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2017 CreativeCOW.net All Rights Reserved
[TOP]